@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,300;9..40,400;9..40,500;9..40,600;9..40,700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
}

body {
    font-family: "DM Sans";
    font-size: 1.125rem;
}

.title {
    font-weight: 700;
    font-size: 2.125rem;
    text-align: center;
}

.subtitle {
    color: #6F6C90;
    text-align: center;
}

.main-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
}

.form-wrapper {
    margin: 0 auto;
    max-width: 700px;
    width: 100%;
    background: white;
    background-color: #FFFFFF;
    border-radius: 34px;
    border: 1px solid #EFF0F6;
    box-shadow: 0px 5px 16px 0px rgba(8, 15, 52, 0.06);
    padding: 2.5rem;
    min-height: 600px;
}

.steps {
    display: flex;
    justify-content: center;
    position: relative;
    align-items: center;
    padding-bottom: 1.125rem;
    margin-bottom: 3rem;
    border-bottom: 1px solid #DDE3EC;
}
.form-step {
    display: none;
}

.form-step.active {
    display: block;
}

.form-step.center {
    align-items: center;
    text-align: center;
}

.form-step h1 {
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1.875rem;
    color: #170F49;
    text-align: center;
    margin: 10px 0;
}

.form-step p {
    font-size: 1.125rem;
    font-weight: 400;
    line-height: 1.875rem;
    color: #6F6C90;
    text-align: center;
}

.form-title {
    font-weight: 700;
    font-size: 1.5rem;
    color: #170F49;
    margin-bottom: 0.5rem;
}

.form-subtitle {
    color: #6F6C90;
    margin-bottom: 2rem;
}

.input-flex {
    display: flex;
    gap: 1.25rem;
    margin-bottom: 1rem;
}

.input-flex>div {
    width: 50%;
}

.form-input {
    width: 100%;
    padding: 1rem 3rem 1rem 1rem;
    border-radius: 2.875rem;
    border: 1px solid #EFF0F6;
    background: #FFFFFF;
    box-shadow: 0px 0.125rem 0.375rem 0px rgba(19, 18, 66, 0.07);
    font-weight: 500;
    font-family: "DM Sans";
    font-size: 1.125rem;
    color: #6F6C90;
    outline: none;
    resize: none;
    height: 4.125rem;
}

.form-input:focus {
    border-color: #4A3AFF;
    box-shadow: 0px 2px 0.375rem 0px rgba(19, 18, 66, 0.07);
}

.form-label {
    color: #170F49;
    font-weight: 500;
    line-height: 1.5rem;
    display: block;
    margin-bottom: 10px;
}

.warning-label {
    color: #9523FF;
    font-weight: 500;
    line-height: 1.5rem;
    display: block;
    margin-bottom: 10px;
}

.input-step1 {
    position: relative;
}

.input-step1 input {
    display: inline-block;
}

.svg-container {
    position: absolute;
    right: 1rem;
    bottom: 3.8rem;
    width: 25px;
    height: 25px;
}

.input-step1 svg {
    width: 100%;
    height: 100%;
}

.radio-input {
    display: flex;
    align-items: center;
}

.radio-input input {
    opacity: 0;
    position: fixed;
    width: 0;
}

.radio-input label {
    width: 285px;
    height: 115px;
    border-radius: 1rem;
    border: 1px solid #EFF0F6;
    padding: 1.25rem;
    background: #FFF;
    box-shadow: 0px 2px 0.375rem 0px rgba(19, 18, 66, 0.07);
    display: flex;
    align-items: center;
    color: #170F49;
    font-weight: 500;
    line-height: 1.25rem;
    margin-left: 10px;
}

.radio-input input:checked+label {
    border: 2px solid #4A3AFF;
    box-shadow: 0px 4px 10px 0px rgba(31, 37, 89, 0.07), 0px 2px 11px 0px rgba(69, 65, 164, 0.06);
}

.radio-input label:before {
    content: "";
    width: 24px;
    height: 24px;
    border: 1px solid #D9DBE9;
    border-radius: 50%;
    margin-right: 10px;
    box-shadow: 0px -3px 7px 0px rgba(20, 20, 43, 0.08) inset;
}

.radio-input input:checked+label:before {
    width: 10px;
    height: 10px;
    border: 8px solid #4A3AFF;
    background: #FFFFFF;
}

.button-input {
    display: flex;
    align-items: center;
}

.button-input input {
    opacity: 0;
    position: fixed;
    width: 0;
}

.button-input label {
    width: 285px;
    height: 115px;
    border-radius: 1rem;
    border: 1px solid #EFF0F6;
    padding: 1.25rem;
    background: #FFF;
    box-shadow: 0px 2px 0.375rem 0px rgba(19, 18, 66, 0.07);
    display: flex;
    align-items: center;
    color: #170F49;
    font-weight: 500;
    line-height: 1.25rem;
    margin-left: 10px;
}

.button-input input:checked+label {
    border: 2px solid #4A3AFF;
    box-shadow: 0px 4px 10px 0px rgba(31, 37, 89, 0.07), 0px 2px 11px 0px rgba(69, 65, 164, 0.06);
}

.circle {
    background: #E0DDFF;
    padding: 10px;
    border-radius: 50%;
    margin-right: 10px;
}

.form-step {
    display: none;
}

.form-step.active {
    display: block;
}

.btn-wrapper {
    margin: 0 auto;
    max-width: 700px;
    min-height:60px;
    display: flex;
    justify-content: flex-end;
}

.prev-btn {
    cursor: pointer;
    background: #FFFFFF;
    border: 1px solid #4A3AFF;
    border-radius: 3.5rem;
    color: #4A3AFF;
    font-weight: 400;
    padding: 1.25rem 2.5rem 1.25rem 2.5rem;
    margin-right: auto;
}

.next-btn {
    cursor: pointer;
    align-items: center;
    gap: 8px;
    border: none;
    border-radius: 3.5rem;
    padding: 1.25rem 2.5rem 1.25rem 2.5rem;
    font-weight: 700;
    background-color: #4A3AFF;
    color: white;
}

.submit-btn {
    display: inline-flex;
    padding: 1.25rem 2.5rem 1.25rem 2.5rem;
    justify-content: center;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    border: none;
    border-radius: 3.5rem;
    box-shadow: 0px 3px 12px 0px rgba(74, 58, 255, 0.18);
    font-weight: 700;
    background-color: #4A3AFF;
    color: white;
    margin-top: 2em;
}

.form-step {
    display: none;
}

.error-message {
    color: #9523FF;
    min-height: 1.5rem;
    margin-top: 1rem;
}

.form-label.warning {
    color: #9523FF;
}

.step-indicators {
    display: flex;
    justify-content: center;
    align-items: center;
}

.step-number {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #DDE3EC;
    border-radius: 50%;
    width: 2.25rem;
    height: 2.25rem;
    font-weight: 500;
    line-height: 1.5rem;
    color: #6F6C90;
}

.step-number.active {
    background: #4A3AFF;
    color: #FFFFFF;
}

.bar {
    width: 6.25rem;
    height: 0.375rem;
    border-radius: 2.5rem;
    background-color: #EFF0F6;
    margin-right: 1rem;
    margin-left: 1rem;
}

.bar.active {
    background-color: #4A3AFF;
}

.bar.half {
    background-color: green;
}

.progress {
    width: 100%;
    height: 0.375rem;
    border-radius: 2.5rem;
    background: #EFF0F6;
}

.progress.half {
    width: 50%;
    background: #4A3AFF;
}

.progress.full {
    width: 100%;
    background: #4A3AFF;
}

@media only screen and (max-width: 600px) {
    html {
        font-size: 12px;
    }

    .bar {
        display: none;
    }

    .input-flex {
        flex-direction: column;
    }

    .input-flex>div {
        width: 100%;
    }
}